/**
 *	@file bt_discover.h
 *
 *	@project btChat
 *
 *	@author Collin R. Mulliner <collin(AT)betaversion.net>
 *
 * (c) Collin R. Mulliner
 *
 */

#ifndef __BT_DISCOVER_H__
#define __BT_DISCOVER_H__

struct btchat_discover_node_t {

	bdaddr_t addr;	/**< the nodes bluetooth device address */
	unsigned int device_class;	/**< the nodes bluetooth device service class */
	char name[250];	/**< the nodes bluetooth device name */
	
	short int btchat_channel;	/**< the btchat rfcomm channel */

	short int discovery_method;	/**< method of device discovery */	
	int trust_level;	/**< level of trust */
	
	time_t last;	/**< last time of contact */
	int updated;	/**< updated flag */
	
	int state;	/**< state */
};

struct btchat_btdiscover_server_t {

	int s;	/**< socket */

	int bt_device;	/**< the local bluetooth hci device */

	unsigned char buffer[1024];	/**< read buffer */
	int buffer_pos;	/**< position in buffer */
	int buffer_size;	/**< buffer size */
	
	struct tree_t btdevices;	/**< tree with all known btdevices */
	
	time_t current_time;
};

#endif

int bt_discover_server2(int socket);
